import { IWeOrderListData } from './IWeOrderListData';
import { Data } from './../Data';
import { IPginationData } from './IPginationData';
export class WeOrderData extends Data {
    public timestamp: string;
    public list: IWeOrderListData[];
    // public pagination: IPginationData;

    public update(result: any): void {
        if (!result) {
            return;
        }
        super.update(result);

        if(result.data){
            this.list = result.data.list;
            // this.pagination = result.data.pagination;
        }
    }
}